
Foreman - Bug #11817

Do not allow multi-line URL validations

09/15/2015 06:56 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2721

  

Description

medium.rb and smart_proxy.rb allow multi line URLs through its validation. Rails 4 forces use to either allow multi-line URLs or fix the

validation, but we can do this already.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 3052ab56 - 09/17/2015 02:25 AM - Daniel Lobato Garcia

Fixes #11817 - Do not allow multi-line URL validations

medium.rb and smart_proxy.rb allow multi line URLs through its

validation. Rails 4 forces use to either allow multi-line URLs or fix

the validation, but we can do this already.

History

#1 - 09/15/2015 06:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2721 added

- Pull request deleted ()

#2 - 09/15/2015 06:57 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#3 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3052ab562f7e2a0d058dc57fb6b3d26161c1453d.

#4 - 09/17/2015 03:03 AM - Ohad Levy

- translation missing: en.field_release set to 63

#5 - 09/17/2015 03:07 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Daniel Lobato Garcia
